<template>
  <div class="px-5">
    <v-card
    max-width="100%"
    class="mx-auto my-5 grey lighten-3 pa-4"
    >
      <h2 class="grey--text">Employee Information</h2>
      <v-divider class="my-4"></v-divider>
      <v-card
        max-width="600"
        class="mx-auto my-2 pa-2 px-5"
        outlined
        flat
      >
        <v-form
          ref="form"
          v-model="valid"
          lazy-validation
        >
          <v-layout
            justify-center
            row
            wrap
            class="pa-2"
          >
            <v-row justify="center">
              <v-flex lg4 md4 sm6 xs12>
                <v-col>
                  <v-text-field
                    dense
                    flat
                    outlined
                    :value="displayName"
                    label="Full Name"
                    @change="$emit('update:displayName', $event)"
                  ></v-text-field>
                </v-col>
                <v-divider></v-divider>
              </v-flex>
              <v-flex lg6 md6 sm12 xs12>
               <v-col>
                 <v-text-field
                   dense
                   flat
                   outlined
                   :value="email"
                   label="Email"
                   @change="$emit('update:email', $event)"
                 ></v-text-field>
               </v-col>
               <v-divider></v-divider>
             </v-flex>
             <v-flex lg4 md4 sm6 xs12>
               <v-col>
                 <v-text-field
                   dense
                   flat
                   outlined
                   :value="password"
                   label="Password"
                   @change="$emit('update:password', $event)"
                   required
                  ></v-text-field>
                </v-col>
                <v-divider></v-divider>
              </v-flex>
              <!-- <v-flex lg6 md6 sm6 xs12>
                <v-col>
                  <v-text-field
                    dense
                    flat
                    outlined
                    v-model="password2"
                    :rules="password2Rules"
                    label="confirm password"
                    required
                  ></v-text-field>
                </v-col>
                <v-divider></v-divider>
              </v-flex> -->
              <!-- <v-flex lg6 md6 sm12 xs12>
                <v-col>
                  <v-text-field
                    dense
                    flat
                    outlined
                    type="number"
                    :value="phoneNumber"
                    label="Mobile number"
                    @change="$emit('update:phoneNumber', $event)"
                  ></v-text-field>
                </v-col>
                <v-divider></v-divider>
              </v-flex> -->
              <!-- <v-flex lg12 md12 sm12 xs12>
                <v-col>
                  <v-btn
                    :disabled="!valid"
                    :loading="loading"
                    color="success"
                    class="mr-4 mb-2"
                    v-on:click="validate"
                  >
                    Submit
                  </v-btn>
                  <v-btn
                    color="warning"
                    class="mb-2"
                    v-on:click="cancel"
                  >
                    Cancel
                  </v-btn>
                </v-col>
                <v-divider></v-divider>
              </v-flex> -->
            </v-row>
          </v-layout>
        </v-form>
      </v-card>
    </v-card>
  </div>
</template>
<script>
import { getDepartmentList } from '@/firebase/db';
// import { gUserFormetAuthenticatedUser } from '@/fb';

export default {
  components: {
  },
  data() {
    return {
      show: false,
      menu2: false,
      valid: true,
      password2: '',
    };
  },
  props: {
    displayName: {
      type: String,
      required: true,
    },
    email: {
      type: String,
      required: true,
    },
    // phoneNumber: {
    //   type: Number,
    //   required: false,
    // },
    password: {
      type: String,
      required: false,
    },
    loading: {
      type: Boolean,
      required: false,
    },
  },
  created() {
    getDepartmentList().then((value) => {
      this.departmentitems = value;
    });
  },
  mounted() {
  },
  methods: {
    validate() {
      if (this.$refs.form.validate()) {
        if (this.password !== '') {
          this.$emit('submit');
        } else {
          this.$emit('submit');
        }
      }
    },
    resetValidation() {
      this.$refs.form.resetValidation();
    },
    cancel() {
      this.$emit('cancel');
    },
  },
};

</script>

<style scoped>
.card {
  top: -20px;
}
</style>
